﻿

using System.Collections.Generic;

namespace LearningLucene.Net
{
    public class Repository
    {
        public IList<EpisodeIndex> GetEpisodeInformation()
        {
            return new List<EpisodeIndex>
                       {
                           new EpisodeIndex( 1, "Overview on how to use NUnit", "Derik Whittaker" ),
                           new EpisodeIndex( 2, "Overview on NUnit's Attributes", "Derik Whittaker" ),
                           new EpisodeIndex( 3, "Creating tests with NUnit", "Derik Whittaker" ),
                           new EpisodeIndex( 4, "Unit testing events with NUnit", "Derik Whittaker" ),
                           new EpisodeIndex( 5, "Introduction to Linq2Sql", "Derik Whittaker" ),
                           new EpisodeIndex( 6, "Joins, Grouping, Aggregating w/ Linq2Sql", "Derik Whittaker" ),
                           new EpisodeIndex( 7, "(re)Creating your DB with Linq's DataContext for testing", "Derik Whittaker" ),
                           new EpisodeIndex( 8, "Introduction to Mocking with Moq", "Derik Whittaker" ),
                           new EpisodeIndex( 9, "Creating Templates in Visual Studio", "Derik Whittaker" ),
                           new EpisodeIndex( 10, "How to Link/Share files between projects in Visual Studio", "Derik Whittaker" ),
                           new EpisodeIndex( 11, "Preserving Routes for SEO using the MVC Routing Engine", "Derik Whittaker" ),
                           new EpisodeIndex( 12, "Introduction to Mocking with Rhino Mocks", "Derik Whittaker" ),
                           new EpisodeIndex( 13, "Querying XML Data using XLinq", "Derik Whittaker" ),
                           new EpisodeIndex( 14, "Exploring Extension Methods in C# 3.0", "Derik Whittaker" ),
                           new EpisodeIndex( 15, "Using Linq to query the File System", "Derik Whittaker" ),
                           new EpisodeIndex( 16, "Setting up a Project for Source Control", "Kyle Baley" ),
                           new EpisodeIndex( 17, "Performing Subselects with Linq2Sql", "Derik Whittaker" ),
                           new EpisodeIndex( 18, "Learning the Check-in Dance", "Kyle Baley" ),
                           new EpisodeIndex( 19, "Generating an RSS Feed with Argotic", "Derik Whittaker" ),
                           new EpisodeIndex( 20, "Testing Abstract classes with Rhino Mocks", "Derik Whittaker" ),
                           new EpisodeIndex( 21, "Creating an Automated Build for your Application", "Kyle Baley" ),
                           new EpisodeIndex( 22, "Introduction to LinqPad", "Derik Whittaker" ),
                           new EpisodeIndex( 23, "Adding a New Feature to DimeCasts.Net - Data Access", "Derik Whittaker" ),
                           new EpisodeIndex( 24, "Creating a project in Team Foundation Server", "Kirstin Juhl" ),
                           new EpisodeIndex( 25, "Introduction to LinqPad - Intermediate Usage", "Derik Whittaker" ),
                           new EpisodeIndex( 26, "Adding a New Feature to DimeCasts.Net - Data Listing", "Derik Whittaker" ),
                           new EpisodeIndex( 27, "Introduction to the Ninject IoC Container", "Justin Etheredge" ),
                           new EpisodeIndex( 28, "Introduction on how to use Reflector", "Derik Whittaker" ),
                           new EpisodeIndex( 29, "Setting up a Project in Subversion (Svn)", "Derik Whittaker" ),
                           new EpisodeIndex( 30, "Diving Deeper into Ninject -- Contextual Binding", "Justin Etheredge" ),
                           new EpisodeIndex( 31, "Advanced Usages of LinqPad", "Derik Whittaker" ),
                           new EpisodeIndex( 32, "Harnessing the Power of Linq2Sqls Delayed Execution", "Derik Whittaker" ),
                           new EpisodeIndex( 33, "Introduction to IoC/DI - The art of Decoupling", "Donald Belcham" ),
                           new EpisodeIndex( 34, "Learning how to resolve conflicts within Subversion (SVN) using TortoiseSVN", "Derik Whittaker" ),
                           new EpisodeIndex( 35, "Taking a look at the AAA syntax in RhinoMocks 3.5", "Derik Whittaker" ),
                           new EpisodeIndex( 36, "XML Data Manipulation with XLinq", "Derik Whittaker" ),
                           new EpisodeIndex( 37, "Exception handling with Action Filters in Asp.Net MVC", "Derik Whittaker" ),
                           new EpisodeIndex( 38, "Diving Deeper into Ninject -- Binding Lifetimes", "Justin Etheredge" ),
                           new EpisodeIndex( 39, "Getting Started with StructureMap -- Simple Setup Scenarios (v2.5)", "Derik Whittaker" ),
                           new EpisodeIndex( 40, "Testing with Team Foundation Server", "Kirstin Juhl" ),
                           new EpisodeIndex( 41, "Introduction to Castle Windsor - Getting Your IoC On", "Donald Belcham" ),
                           new EpisodeIndex( 42, "Adding IoC Support (w/StructureMap) to ASP.Net MVC", "Derik Whittaker" ),
                           new EpisodeIndex( 43, "App.Config & Creating Custom Configuration Sections", "Derik Whittaker" ),
                           new EpisodeIndex( 44, "Castle Windsor - Configuring your IoC Container", "Donald Belcham" ),
                           new EpisodeIndex( 45, "Logging to the Database with Log4Net and ADO.Net", "Derik Whittaker" ),
                           new EpisodeIndex( 46, "Setting up Continuous Integration for your Application with Team City", "Kyle Baley" ),
                           new EpisodeIndex( 47, "Using Linq2Objects to perform list conversions", "Derik Whittaker" ),
                           new EpisodeIndex( 48, "Contextual binding with StructureMap", "Derik Whittaker" ),
                           new EpisodeIndex( 49, "Using Reflection to Populate a ComboBox from an Enumeration", "Derik Whittaker" ),
                           new EpisodeIndex( 50, "Introduction to NHibernate: What does NHibernate bring to the table", "Chad Myers" ),
                           new EpisodeIndex( 51, "Introduction to NHibernate: Setting up your Mappings", "Chad Myers" ),
                           new EpisodeIndex( 52, "Creating and Applying patches with Subversion (SVN)", "Derik Whittaker" ),
                           new EpisodeIndex( 53, "Introduction to NHibernate: Configuring NHibernate (Part 2) ", "Chad Myers" ),
                           new EpisodeIndex( 54, "Introduction to NHibernate: CRUD and Basic Transparent Cascading (Part 3) ", "Chad Myers" ),
                           new EpisodeIndex( 55, "Form Validation Simplified w/ Asp.Net MVC", "Derik Whittaker" ),
                           new EpisodeIndex( 56, "Creating Live Templates with Resharper", "Derik Whittaker" ),
                           new EpisodeIndex( 57, "Introduction to NHibernate: More Basic Usages (Part 4) ", "Chad Myers" ),
                           new EpisodeIndex( 58, "Leveraging the power of ActionName and AcceptVerbs in Asp.Net MVC", "Derik Whittaker" ),
                           new EpisodeIndex( 59, "Leveraging Cecil to inject code into your Assemblies", "Jason Bock" ),
                           new EpisodeIndex( 60, "Setting up Castle Windsor for Auto Registration", "Kyle Baley" ),
                           new EpisodeIndex( 61, "Becoming a ReSharper Samurai - Part 1", "Derik Whittaker" ),
                           new EpisodeIndex( 62, "Introduction to the AutoMocking Conatiner in StructureMap", "Derik Whittaker" ),
                           new EpisodeIndex( 63, "Introduction to NHibernate: Collection Relationships (Part 5)", "Chad Myers" ),
                           new EpisodeIndex( 64, "Learning how to turn an Anonymous object into a Dictionary", "Derik Whittaker" ),
                           new EpisodeIndex( 65, "Using TDD to create a new Feature for DimeCasts.net", "Derik Whittaker" ),
                           new EpisodeIndex( 65, "Using TDD to create a new Feature for DimeCasts.net", "Kyle Baley" ),
                           new EpisodeIndex( 66, "Taking a look at the various ways to implement Binding in Asp.Net MVC", "Derik Whittaker" ),
                           new EpisodeIndex( 67, "Implementing a REST service with WCF (part 1) ", "Donn Felker" ),
                           new EpisodeIndex( 68, "Becoming a ReSharper Samurai - Part 2", "Derik Whittaker" ),
                           new EpisodeIndex( 69, "Introduction to NHibernate: Intermediate NHibernate Usage (Part 6) ", "Chad Myers" ),
                           new EpisodeIndex( 70, "Creating a new feature via TDD -- Part 2", "Derik Whittaker" ),
                           new EpisodeIndex( 70, "Creating a new feature via TDD -- Part 2", "Kyle Baley" ),
                           new EpisodeIndex( 71, "Introduction to WCF: Creating your first Service", "Donn Felker" ),
                           new EpisodeIndex( 72, "Learning the various ways to use UpdateModel in Asp.Net MVC", "Derik Whittaker" ),
                           new EpisodeIndex( 73, "Migrating from .asmx web services to WCF web services", "Donn Felker" ),
                           new EpisodeIndex( 74, "Becoming a ReSharper Samurai - Part 3", "Derik Whittaker" ),
                           new EpisodeIndex( 75, "Introdction to S#arp Architecture", "Kyle Baley" ),
                           new EpisodeIndex( 76, "How to add ReCaptcha to your MVC Web Site", "Derik Whittaker" ),
                           new EpisodeIndex( 77, "Learn how to consume a WCF Service", "Donn Felker" ),
                           new EpisodeIndex( 78, "Building a Nant Script -- Part 1: Setting up the script", "Derik Whittaker" ),
                           new EpisodeIndex( 79, "Learning how to use the XML Serializer", "Derik Whittaker" ),
                           new EpisodeIndex( 80, "Replacing the default view engine in MVC w/ Spark", "Derik Whittaker" ),
                           new EpisodeIndex( 81, "Building a Nant Script -- Part 2: Adding NUnit tests", "Derik Whittaker" ),
                           new EpisodeIndex( 82, "Building a Nant Script -- Part 3: Adding Code Coverage w/ NCover", "Derik Whittaker" ),
                           new EpisodeIndex( 83, "Learning to use Fluent NHibernate: Getting started w/ your first mappings", "Derik Whittaker" ),
                           new EpisodeIndex( 84, "Learning how to create a simple Fluent DSL via Method Chaining", "Derik Whittaker" ),
                           new EpisodeIndex( 85, "Taking a look at how to separate out your WCF service project into multiple parts", "Donn Felker" ),
                           new EpisodeIndex( 86, "Introduction to the Routing Engine in the ASP.Net Framework", "Derik Whittaker" ),
                           new EpisodeIndex( 87, "Building a Nant Script -- Part 4: Running SQL Scripts w/ SqlCmd", "Derik Whittaker" ),
                           new EpisodeIndex( 88, "Creating SOLID Code: Single Responsibility Principle (SRP)", "Stephen Bohlen" ),
                           new EpisodeIndex( 89, "Learning to use Fluent NHibernate: Mapping with Composite Keys", "Derik Whittaker" ),
                           new EpisodeIndex( 90, "Creating SOLID Code: Open/Closed Principle (OCP)", "Stephen Bohlen" ),
                           new EpisodeIndex( 91, "Posting data to a REST service using C#", "Derik Whittaker" ),
                           new EpisodeIndex( 92, "Creating SOLID Code: Liskov Substitution Principle", "Stephen Bohlen" ),
                           new EpisodeIndex( 93, "Retrieving data from a REST based service using C#", "Derik Whittaker" ),
                           new EpisodeIndex( 94, "Creating SOLID Code: Interface Segregation Principle", "Stephen Bohlen" ),
                           new EpisodeIndex( 95, "Building a Progressive Fluent Interface", "Derik Whittaker" ),
                           new EpisodeIndex( 96, "Creating SOLID Code: Dependency Inversion Principle", "Stephen Bohlen" ),
                           new EpisodeIndex( 97, "Another look at Sharp Architecture: Validation, Design Decisions and Automapping", "Kyle Baley" ),
                           new EpisodeIndex( 98, "Learning about the Strategy Design Pattern", "Derik Whittaker" ),
                           new EpisodeIndex( 99, "Creating SOLID Code: Refactoring the SOLID episode on DI to use StructureMap", "Derik Whittaker" ),
                           new EpisodeIndex( 100, "Learning the Template Pattern", "Derik Whittaker" ),
                           new EpisodeIndex( 101, "Building a Nant Script -- Part 4: Adding fxCop to your build script", "Derik Whittaker" ),
                           new EpisodeIndex( 102, "Taking a look at how to modify the T4 templates used by Sharp Architecture", "Kyle Baley" ),
                           new EpisodeIndex( 103, "Learning how to harness the power of NUnit RowTest", "Derik Whittaker" ),
                           new EpisodeIndex( 104, "Navigate your codebase like a pro with ReSharper 4.5", "Ray Houston" ),
                           new EpisodeIndex( 105, "Getting your Func<T> along with your Action<T> on", "Derik Whittaker" ),
                           new EpisodeIndex( 106, "Learning the Adapter Pattern", "Derik Whittaker" ),
                           new EpisodeIndex( 107, "Testing MVC Routes", "Kyle Baley" ),
                           new EpisodeIndex( 108, "Learning the Observer Pattern", "Derik Whittaker" ),
                           new EpisodeIndex( 109, "Learning Hudson: Setting up a simple build", "Derik Whittaker" ),
                           new EpisodeIndex( 110, "Learning the State Pattern", "Derik Whittaker" ),
                           new EpisodeIndex( 111, "Introduction to AutoMapper", "Eric Polerecky" ),
                           new EpisodeIndex( 112, "Learning the Observer Pattern w/ Callbacks", "Derik Whittaker" ),
                           new EpisodeIndex( 113, "Saying Hello to the Spark View Engine", "Donn Felker" ),
                           new EpisodeIndex( 114, "How to Create a Custom Performance Counter", "Derik Whittaker" ),
                           new EpisodeIndex( 115, "Learning how to add IntelliSense for the Spark View Engine", "Donn Felker" ),
                           new EpisodeIndex( 116, "Learning Hudson: Setting up to run and report Unit Test results", "Derik Whittaker" ),
                           new EpisodeIndex( 117, "Exploring how to use Global Variables and ViewData (Strongly typed and weak typed) with Spark", "Donn Felker" ),
                           new EpisodeIndex( 118, "Exploring Code Contracts: Taking a look at Pre/Post Conditions", "Derik Whittaker" ),
                           new EpisodeIndex( 119, "Exploring how to use Expressions w/ Spark", "Donn Felker" ),
                           new EpisodeIndex( 120, "Learning the Decorator Pattern ", "Derik Whittaker" ),
                           new EpisodeIndex( 121, "Exploring how to use Looping Expressions w/ Spark", "Donn Felker" ),
                           new EpisodeIndex( 122, "Creating Custom Functions w/ NAnt", "Derik Whittaker" ),
                           new EpisodeIndex( 123, "Exploring Code Contracts: Taking a look at Object Invariant Conditions", "Derik Whittaker" ),
                           new EpisodeIndex( 124, "Learning the Mediator Pattern", "Derik Whittaker" ),
                           new EpisodeIndex( 125, "Isolation Frameworks: Learning how to Stub & Fake Data", "Derik Whittaker" ),
                           new EpisodeIndex( 126, "Building a NAnt script - Part 5: Adding MSTest results to your build scripts", "Derik Whittaker" ),
                           new EpisodeIndex( 127, "Isolation Frameworks: Learning how to validate expectations", "Derik Whittaker" ),
                           new EpisodeIndex( 128, "Exploring StructureMap: Learning how to setup Auto Registration", "Derik Whittaker" ),
                           new EpisodeIndex( 129, "How to read from Performance Counters", "Derik Whittaker" ),
                           new EpisodeIndex( 130, "Isolation Frameworks: Learning how to validate complex expectations", "Derik Whittaker" ),
                           new EpisodeIndex( 131, "Exploring NDjango: Setting up NDjango for usage", "Alex Pedenko" ),
                           new EpisodeIndex( 132, "Exploring StructureMap: Learning how to setup registries", "Derik Whittaker" ),
                           new EpisodeIndex( 133, "Learning how to Read & Write to the windows registry", "Derik Whittaker" ),
                           new EpisodeIndex( 134, "Refactoring Techniques: Learning the Wrap Method", "Derik Whittaker" ),
                           new EpisodeIndex( 135, "Exploring StructureMap: Learning how to setup profiles", "Derik Whittaker" ),
                           new EpisodeIndex( 136, "Exploring NDJango: Forms and Extensions", "Alex Pedenko" ),
                           new EpisodeIndex( 137, "Exploring Reflection: Using Reflection to find Markers", "Derik Whittaker" ),
                           new EpisodeIndex( 138, "Isolation Frameworks: Mocking Out/Ref Arguments", "Derik Whittaker" ),
                           new EpisodeIndex( 139, "Learning the Specification Pattern", "Tim Barcz" ),
                           new EpisodeIndex( 140, "Using Reflection to Invoke members", "Derik Whittaker" ),
                           new EpisodeIndex( 141, "Learning Nant: Creating Token Driving Configuration Files", "Derik Whittaker" ),
                           new EpisodeIndex( 142, "Research and Development", "Derik Whittaker" ),
                           new EpisodeIndex( 143, "Do the research or the development", "Derik Whittaker" ),
                       };
        }
    }
}
